<!-- LCA Task method -->
<div class="input-group mb-3">
    <div class="input-group-prepend"   
    [matTooltip]="tooltipLcaMethod">
      <span class="input-group-text rki-blue_button">LCA method</span>
    </div>
    <mat-select class="custom-select input-group-append" 
                style="flex: 1; overflow:hidden"
                [(value)]="prophaneJobState.currentProphaneJob.parameters.lcaTask"
                [compareWith]="prophaneJobState.compareByID">
      <mat-option 
        *ngFor="let lcamethod of lcaTasks" 
        [value]="lcamethod">
          {{lcamethod.name}}
      </mat-option>
    </mat-select>
  </div>
  
  
  <!-- Display of list of already added optionstrings LCA with remove button (-)-->
  
  <ng-container *ngFor="let option of this.prophaneJobState.currentProphaneJob.parameters.lcaTask.optionstring">
    <ng-container *ngIf="option.param == 'ignore_unclassified'">
      <div class="input-group mb-3">
        <div 
          class="input-group-prepend" 
          [matTooltip]="tooltipIgnoreUnclassified">
          <span class="input-group-text">{{option.param}}</span>
        </div>
        <div class="input-group-append">
          <button class="btn btn-outline-secondary w-sbtn" type="button"
                  (click)='removeLCAOptionString(option)'>
            —
          </button>
        </div>
      </div>
    </ng-container>
  
    <ng-container *ngIf="option.param == 'minimum_number_of_annotations'">
      <div class="input-group mb-3">
        <div class="input-group-prepend"
            [matTooltip]="tooltipMinNumb">
          <span class="input-group-text">{{option.param}}</span>
        </div>
        <input type="text" class="form-control"
               [ngStyle]="{'background-color': 
               isValidInt(option.defaultValue, option.min, option.max, option.param) ? 'white': formErrorColor }"
               [(ngModel)]="option.defaultValue"
               >
        <div class="input-group-append">
          <button class="btn btn-outline-secondary w-sbtn" type="button"
                  (click)='removeLCAOptionString(option)'>
            —
          </button>
        </div>
      </div>
    </ng-container>
  
    <ng-container *ngIf="option.param == 'threshold'">
      <div class="input-group mb-3">
        <div class="input-group-prepend"
        [matTooltip]="tooltipThreshold">
          <span class="input-group-text">{{option.param}}</span>
        </div>
        <input type="text" class="form-control"
               [ngStyle]="{'background-color': isValidNumber(option.defaultValue, option.min, option.max, option.param) ? 'white' : formErrorColor }"
               [(ngModel)]="option.defaultValue"
               >
      </div>
    </ng-container>
  </ng-container>
  
  <!-- LCA Advanced Options Button,The Dropbox that displays optionstrings that can be added  -->
  <ng-container *ngIf="prophaneJobState.currentProphaneJob.parameters.lcaTask.optionstring.length<3">
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <span class="input-group-text">Add Advanced Options</span>
    </div>
    <mat-select class="custom-select input-group-append" 
                style="flex: 1; overflow:hidden"
                [(ngModel)]="prophaneJobState.currentProphaneJob.parameters.lcaTask.formOptionStringSelection"
                [(value)]="prophaneJobState.currentProphaneJob.parameters.lcaTask.formOptionStringSelection"
                [compareWith]="prophaneJobState.compare"
                placeholder="Choose Option">
      <ng-container *ngFor="let option of getLCAAdvancedOptions(prophaneJobState.currentProphaneJob.parameters.lcaTask.method)">
        <ng-container *ngIf="!isAlreadyInLCATask(prophaneJobState.currentProphaneJob.parameters.lcaTask.optionstring, option)">
          <mat-option [value]="option">
            {{option.param}}</mat-option>
        </ng-container>
      </ng-container>
    </mat-select>
    <div class="input-group-append">
      <button class="btn btn-outline-secondary w-sbtn" 
              type="button" 
              (click)="prophaneJobState.addLCAOptionString(prophaneJobState.currentProphaneJob.parameters.lcaTask)">
        +
      </button>
    </div>
  </div>
</ng-container>
  